MediaWiki:Gadget-Tooltip.css: Difference between revisions

Kuhlau (talk | contribs)
No edit summary
Tags: Mobile edit Mobile web edit
Kuhlau (talk | contribs)
No edit summary
Tags: Mobile edit Mobile web edit
Line 14: Line 14:
/** Text styling **/
/** Text styling **/
/* Override collapsible stylings */
/* Override collapsible stylings */
.custom-tt-wrapper.hnaw-collapsible .mw-collapsible-toggle {
.custom-tt-wrapper.hnaw-collapsible .mw-collapsible-toggle-expanded + .custom-tt.mw-collapsible-toggle {
padding: 0;
padding: 0;
border: none;
border: none;
Line 28: Line 28:
font-weight: normal;
font-weight: normal;
}
}
.skin-minerva .custom-tt-wrapper.hnaw-collapsible .mw-collapsible-toggle {
.custom-tt-wrapper.hnaw-collapsible .mw-collapsible-toggle-expanded + .custom-tt.mw-collapsible-toggle {
float: none !important;
float: none !important;
display: inline-block !important;
display: inline-block !important;
Line 76: Line 76:


/* Bottom of Page Container (Mobile) */
/* Bottom of Page Container (Mobile) */
.skin-minerva .custom-tt-wrapper .mw-collapsible-content {
.skin-minerva .custom-tt-wrapper.hnaw-collapsible .mw-collapsible-toggle-expanded + .custom-tt.mw-collapsible-toggle {
position: fixed;
position: fixed;
z-index: 10005;
z-index: 10005;
Line 96: Line 96:


/* Container header */
/* Container header */
.skin-minerva .custom-tt-wrapper .mw-collapsible-content:before {
.skin-minerva .custom-tt-wrapper.hnaw-collapsible .mw-collapsible-toggle-expanded + .custom-tt.mw-collapsible-toggle:before {
content: "ⓘ Tooltip content:";
content: "ⓘ Tooltip content:";
display: block;
display: block;
Line 106: Line 106:


/* Tooltip surrogate toggle on container header */
/* Tooltip surrogate toggle on container header */
.skin-minerva .custom-tt-wrapper .mw-collapsible-content:after {
.skin-minerva .custom-tt-wrapper.hnaw-collapsible .mw-collapsible-toggle-expanded + .custom-tt.mw-collapsible-toggle:after {
content: "×" !important;
content: "×" !important;
position: fixed;
position: fixed;
Line 131: Line 131:
background-color: transparent;
background-color: transparent;
border-radius: none;
border-radius: none;
}
/* Reinstate default collapsible behavior */
.custom-tt-wrapper .mw-collapsible[hidden="until-found"],
.custom-tt-wrapper .mw-collapsible [hidden="until-found"] {
display: block;
position: absolute;
width: 0 !important;
height: 0 !important;
overflow: hidden !important;
padding: 0 !important;
margin: 0 !important;
border: 0 !important;
}
}